[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoSetPaperName

Performs actions needed to set the paper for the current printer to the specified name.

## Declaration

Source position: printers.pas line 286

`protected procedure TPrinter.DoSetPaperName(`
`aName: string`
`); virtual;`

## Arguments

`aName` |  | Paper name selected for the printer.

## Description

DoSetPaperName performs actions needed to set the paper for the current printer to the specified name. DoSetPaperName is called when the paper name is assigned to the PaperName property in PaperSize.

Remark: | In TPrinter, DoSetPaperName has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.